import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { MietersComponent } from './mieters/mieters.component';
import { ObjekteComponent } from './objekte/objekte.component';
import { WohnungenComponent } from './wohnungen/wohnungen.component';
import { MieterDetailComponent } from './mieter-detail/mieter-detail.component'

const routes: Routes = [
  { path: 'objekte', component: ObjekteComponent },
  { path: 'mieters', component: MietersComponent },
  { path: 'mieter/:id', component: MieterDetailComponent },
  { path: 'wohnungen/:objektId', component: WohnungenComponent }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
